---
lang: en
title: 'API docs: context.getdeepproperty'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.context.getdeepproperty.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [getDeepProperty](./context.getdeepproperty.md)

## getDeepProperty() function

Get nested properties of an object by path

<b>Signature:</b>

```typescript
export declare function getDeepProperty<OUT = BoundValue, IN = BoundValue>(value: IN, path: string): OUT | undefined;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  value | <code>IN</code> | Value of the source object |
|  path | <code>string</code> | Path to the property |

<b>Returns:</b>

`OUT | undefined`


